Set a domain's default sender
Sets the default sender used for omitted-`from` sends from this domain. The sender must belong to the domain and be verified and active.
Sets the default sender used for omitted-from sends from this domain. The sender must belong to the domain and be verified and active.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^dom_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
senderId*EmailSenderId
Match
^sender_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/email/domains/string/default-sender" \ -H "Content-Type: application/json" \ -d '{ "senderId": "string" }'{ "success": true, "message": "string"}